> For the complete documentation index, see [llms.txt](https://docs.sealights.io/knowledgebase/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/node.js-agent/advanced-features/uploading-reports-more-options.md).

# Uploading Reports - More options

## Uploading git commit logs

If you do not work with GitHub or cannot provide access to the source folder where the Git logs are located, you can generate them on your own and upload them separately to the SeaLights servers.

{% hint style="info" %}
See '[Generating an Agent token](https://docs.sealights.io/knowledgebase/settings/token-access-and-management#token-list-and-token-creation-2)' for instructions on how to generate a token
{% endhint %}

### Generating the commit reports <a href="#generating-the-commit-reports" id="generating-the-commit-reports"></a>

The file must be a JSON file with an array of commits named "`commitLog`"

**Sample command on Linux**

{% code overflow="wrap" lineNumbers="true" %}

```sh
echo "{ \"commitLog\": " > commitLog.json
git log --pretty=format:'{"commit": "%H","authorName": "%an","authorEmail": "%ae","commiterName": "%cn","commiterEmail": "%ce","authorDate": "%at000","commiterDate": "%ct000","title": "%f"},'  --since="2 days ago"  | sed "$ s/,$//" | sed ':a;N;$!ba;s/\r\n\([^{]\)/\\n\1/g'| awk 'BEGIN { print("[") } { print($0) } END { print("]") }' >> commitLog.json
echo "}" >> commitLog.json
```

{% endcode %}

### Upload git-generated commit log reports <a href="#upload-git-generated-commit-log-reports" id="upload-git-generated-commit-log-reports"></a>

**Sample command for a single file**

{% tabs %}
{% tab title="Bash" %}
{% code overflow="wrap" lineNumbers="true" %}

```powershell
npx slnodejs uploadReports --tokenFile /path/to/sltoken.txt --buildSessionIdFile buildSessionId --file commitLog.json --type "commitLog" --source "script"
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code overflow="wrap" lineNumbers="true" %}

```powershell
call npx slnodejs uploadReports --tokenFile \path\to\sltoken.txt --buildSessionIdFile buildSessionId --file commitLog.json --type "commitLog" --source "script"
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="info" %}
See [Command Reference](/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/node.js-agent/command-reference.md#upload-report-files) for full parameter details
{% endhint %}

## Uploading multiple files

When uploading report files to the SeaLights server, you might need to upload multiple files rather than only one.

This can be done by either provide a folder where **all** the files existing in it will be uploaded or alternatively upload every single file in a command line loop.

{% hint style="info" %}
See '[Generating an Agent token](https://docs.sealights.io/knowledgebase/settings/token-access-and-management#token-list-and-token-creation-2)' for instructions on how to generate a token
{% endhint %}

### Upload multiple report files in a folder <a href="#upload-multiple-report-files-in-a-folder" id="upload-multiple-report-files-in-a-folder"></a>

{% tabs %}
{% tab title="Bash" %}
{% code overflow="wrap" lineNumbers="true" %}

```bash
npx slnodejs uploadReports --tokenFile /path/to/sltoken.txt --buildSessionIdFile buildSessionId --reportFilesFolder "/path/to/reports/"
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}
{% code overflow="wrap" lineNumbers="true" %}

```powershell
call npx slnodejs uploadReports --tokenFile \path\to\sltoken.txt --buildSessionIdFile buildSessionId --reportFilesFolder "\path\to\reports"
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="danger" %}
All the files in the specified folder will be uploaded regardless of their extension
{% endhint %}

### Upload multiple report files using a command line loop <a href="#upload-multiple-report-files-using-a-command-line-loop" id="upload-multiple-report-files-using-a-command-line-loop"></a>

{% tabs %}
{% tab title="Bash" %}
{% code overflow="wrap" lineNumbers="true" %}

```sh
for f in /path/to/junit_report_*.xml; do
    npx slnodejs uploadReports \
        --tokenFile /path/to/sltoken.txt \
        --buildSessionIdFile buildSessionId \
        --file "$f"
done
```

{% endcode %}
{% endtab %}

{% tab title="PowerShell" %}

```powershell
Get-ChildItem -Path .\tests -Filter "Test*.xml" -Recurse | ForEach-Object {
    npx slnodejs uploadReports `
        --tokenFile ".\path\to\sltoken.txt" `
        --buildSessionIdFile buildSessionId `
        --file $_.FullName
}
```

{% endtab %}

{% tab title="CMD" %}
{% code overflow="wrap" lineNumbers="true" %}

```cmd
for /r %i in (.\tests\Test*.xml) do npx slnodejs uploadReports --tokenFile .\path\to\sltoken.txt --buildSessionIdFile buildSessionId --file %f
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="info" %}
See [Command Reference](/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/node.js-agent/command-reference.md#upload-report-files) for full parameter details
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/node.js-agent/advanced-features/uploading-reports-more-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
